# ExtrapolationType

#### ExtrapolationType()
Core/ExtrapolationType.js 15

Constants to determine how an interpolated value is extrapolated when querying outside the bounds of available data.

##### See:

- SampledProperty

### Members

#### static constantCesium.ExtrapolationType.EXTRAPOLATE : Number
Core/ExtrapolationType.js 38

The value is extrapolated.

#### static constantCesium.ExtrapolationType.HOLD : Number
Core/ExtrapolationType.js 30

The first or last value is used when outside the range of sample data.

#### static constantCesium.ExtrapolationType.NONE : Number
Core/ExtrapolationType.js 22

No extrapolation occurs.